## ros-humble-clearpath-platform-description 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clearpath_platform_description)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-clearpath-platform-description (0.1.1-1jammy) jammy; urgency=high

  * Update gps and imu names to fix generated topic
  * Added Ignition frame names to simulate the real robot
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.1.0-1jammy) jammy; urgency=high

  * Added fenders for J100
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.9-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.8-1jammy) jammy; urgency=high

  * Updated J100 imu and navsat links
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.7-1jammy) jammy; urgency=high

  * Renamed URDF and meshes directories
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.6-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.5-1jammy) jammy; urgency=high

  * [clearpath_platform_description] Fixed unused dependency in CMakeLists.txt.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.3-1jammy) jammy; urgency=high

  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform-description (0.0.1-1jammy) jammy; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Increased J100 navsat update rate to 10hz
  * Jackal sim support
  * Added GPS
    Added realsense gazebo parameters
  * Added gazebo IMU plugin
  * use_sim_time support
    Added lidar gazebo plugins
  * Sim fixes
  * Fixed dependencies
  * Moved description generator to clearpath_generators
    Added accessory urdf's
    Use launch arg for choosing controller
  * [clearpath_platform_description] Made the serial_port an arg for the a200 and reduced polling timeout.
  * Moved IMU filter to platform launch
    Moved localization into a separate launch file
    Updated decoration urdfs
    Added structure urdf
  * Remapped topics to match API
  * Bishop sensors/mounts
  * Added velodyne
  * [clearpath_platform_description] Fixed hardware plugin for A200.
  * control launch fixes
    Added ark enclosure for j100 top_plate
  * J100 support
  * Standard urdf and yaml file name and path
    Fixed spacing in urdfs
  * Description classes
  * PACS mounts
    Common PACS Riser
    Hokuyo and novatel description fixes
  * Initial commit with platform, decoration and mounts generating
  * [clearpath_platform_description] Fixed mesh paths.
  * [clearpath_sensors_description] Moved Novatel and Hokuyo into sensors from J100.
  * [clearpath_platform_description] Renamed all dashes to underscores.
  * [clearpath_platform_description] Fixed incorrect path.
  * Move clearpath_description to clearpath_platform_description and switched robot names to robot model number.
  * Contributors: Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-platform-description
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-platform-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-robot-state-publisher, ros-humble-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: Clearpath Platform URDF descriptions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-platform-description 0.2.9

=== debian/changelog ===
ros-humble-clearpath-platform-description (0.2.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.8-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.7-1bookworm) bookworm; urgency=high

  * All Warthog attachments default to 0
  * Aligned attachment links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.5-1bookworm) bookworm; urgency=high

  * switch finding meshes to use the package:// command
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.1-1bookworm) bookworm; urgency=high

  * PACS top plate was not centred with generated frames
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 20 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.0-1bookworm) bookworm; urgency=high

  * Added W200 Hardware interface.
  * Use path substitution
  * Removed testing visual for track virtual wheel
  * Added wheel parameters to all robot
  * Color and wheel are now parameters
  * Updated collision model
  * Added w200 tracks
  * First pass
  * Removed serial from URDF
  * Accurate mounts shift
  * Added DD150
  * Re-add caster
  * Added default mount
  * Removed friction on rear_caster
  * Added dd100
  * Removed transmission and cleaned up URDF
  * Removed erroneaous change
  * Removed print
  * Updated gazebo simulation
  * Changed default parent to default_mount
  * Set color appropriately
  * Arm Mount at base
  * Mounts re-numbering
  * Formatted W200 attachment URDF
  * Changed top_chassis_link to default_mount
  * Changed mid_mount to default_mount
  * Renamed sensor_arch namespace
  * Changed sensor arch parent
  * Added mid_mount
  * Origin to bumper
  * Added  to materials
  * Attachment URDF match changes
  * Add gazebo controller to URDF without macro
  * Moved gazebo controller to common
  * Fixes to control parameters and naming
  * Base diff drive hardware and hardware interface class
    J100 and W200 inherit from diff drive
    Moved each platform into its own folder
  * Fixed package names and added w200 urdf macro
  * Initial Warthog addition
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 07 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.1.3-1bookworm) bookworm; urgency=high

  * [clearpath_platform_description] Removed un-used ros2_control params.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.1.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.1.1-1bookworm) bookworm; urgency=high

  * Update gps and imu names to fix generated topic
  * Added Ignition frame names to simulate the real robot
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.1.0-1bookworm) bookworm; urgency=high

  * Added fenders for J100
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.8-1bookworm) bookworm; urgency=high

  * Updated J100 imu and navsat links
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.7-1bookworm) bookworm; urgency=high

  * Renamed URDF and meshes directories
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 18 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.5-1bookworm) bookworm; urgency=high

  * [clearpath_platform_description] Fixed unused dependency in CMakeLists.txt.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.3-1bookworm) bookworm; urgency=high

  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform-description (0.0.2-1bookworm) bookworm; urgency=high





=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-platform-description//opt/ros/humble/opt/clearpath_platform_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-clearpath-platform-description 0.3.4

=== debian/changelog ===
ros-humble-clearpath-platform-description (0.3.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Oct 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.3.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 03 Oct 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.3.2-1bookworm) bookworm; urgency=high

  * Fix outstanding merge conflict
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sat, 28 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.3.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 22 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.3.0-1bookworm) bookworm; urgency=high

  * Changes.
  * Add PACS mounting locations to Dingo top plate
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add dingo top plate URDF
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * Set PumaHardware in R100
  * URDF Mecanum Updates
  * Switched to puma_hardware
  * DingoD 1.5 Puma Hardware
  * 0.2.8
  * Changes.
  * 0.2.7
  * Changes.
  * All Warthog attachments default to 0
  * Aligned attachment links
  * Added argument to prevent platform hardware from loading
  * Define inertial box xacro in the arm plate urdf to be used by other platforms
  * Added argument to toggle manipulator controllers
  * 0.2.6
  * Changes.
  * 0.2.5
  * Changes.
  * switch finding meshes to use the package:// command
  * 0.2.4
  * Changes.
  * 0.2.3
  * Changes.
  * 0.2.2
  * Changes.xx
  * 0.2.1
  * Changes.
  * PACS top plate was not centred with generated frames
  * Added Ridgeback attachments
  * Added do150 as copy of do100
  * R100 mecanum
  * Only load mecanum wheels in simulation
  * Removed wheel slip plugin
  * Dingo O mecanum wheels
  * Fixed rocker and small covariance
  * Initial Ridgeback
  * Initial add do100
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero
  * Add PACS mounting locations to Dingo top plate
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add dingo top plate URDF
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Linting
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.11-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-clearpath-platform-description (0.2.10-1bookworm) bookworm; urgency=high

  * Topics of simulated onboard sensors
  * Missing important remapping to mirror hardware topics
  * Contributors: Luis Camero, Steve Macenski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 24 Jul 2024 16:00:00 -0000
